@the-40-thieves/obsidian-tc-shared 1.31.2 → 1.31.4
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/dist/config/indexing-embeddings.schema.d.ts +18 -0
- package/dist/config/indexing-embeddings.schema.d.ts.map +1 -1
- package/dist/config/indexing-embeddings.schema.js +70 -5
- package/dist/config/indexing-embeddings.schema.js.map +1 -1
- package/dist/config/observability.schema.d.ts +6 -0
- package/dist/config/observability.schema.d.ts.map +1 -1
- package/dist/config/observability.schema.js +90 -12
- package/dist/config/observability.schema.js.map +1 -1
- package/dist/config/personas.schema.js +1 -1
- package/dist/config/personas.schema.js.map +1 -1
- package/dist/config/reranker.schema.js +2 -2
- package/dist/config/reranker.schema.js.map +1 -1
- package/dist/config/retrieval.schema.d.ts +10 -0
- package/dist/config/retrieval.schema.d.ts.map +1 -1
- package/dist/config/retrieval.schema.js +38 -12
- package/dist/config/retrieval.schema.js.map +1 -1
- package/dist/config/runtime.schema.js +2 -2
- package/dist/config/runtime.schema.js.map +1 -1
- package/dist/config/server.schema.d.ts +38 -0
- package/dist/config/server.schema.d.ts.map +1 -1
- package/dist/config/server.schema.js +10 -5
- package/dist/config/server.schema.js.map +1 -1
- package/dist/config/tools.schema.d.ts +11 -0
- package/dist/config/tools.schema.d.ts.map +1 -1
- package/dist/config/tools.schema.js +33 -5
- package/dist/config/tools.schema.js.map +1 -1
- package/dist/config.schema.d.ts +5 -5
- package/dist/config.schema.d.ts.map +1 -1
- package/dist/config.schema.js +3 -3
- package/dist/config.schema.js.map +1 -1
- package/dist/errors.d.ts +7 -0
- package/dist/errors.d.ts.map +1 -1
- package/dist/errors.js +11 -2
- package/dist/errors.js.map +1 -1
- package/dist/net-host.d.ts +12 -0
- package/dist/net-host.d.ts.map +1 -1
- package/dist/net-host.js +69 -0
- package/dist/net-host.js.map +1 -1
- package/package.json +4 -3
package/dist/net-host.js
CHANGED
|
@@ -54,6 +54,75 @@ export function isLoopbackHost(host) {
|
|
|
54
54
|
}
|
|
55
55
|
return false;
|
|
56
56
|
}
|
|
57
|
+
function ipv4OctetsOf(h) {
|
|
58
|
+
if (!isStrictIpv4(h))
|
|
59
|
+
return null;
|
|
60
|
+
const parts = h.split(".").map(Number);
|
|
61
|
+
return parts;
|
|
62
|
+
}
|
|
63
|
+
// THE-1125 (security-review follow-up) — private/reserved IPv4 ranges a telemetry endpoint must
|
|
64
|
+
// never be allowed to name literally: RFC1918 private space (10/8, 172.16/12, 192.168/16),
|
|
65
|
+
// RFC3927 link-local (169.254/16 — this is ALSO the cloud metadata address, 169.254.169.254, on
|
|
66
|
+
// every major cloud provider), RFC6598 carrier-grade NAT (100.64/10), and 0/8 ("this network").
|
|
67
|
+
// 127/8 (loopback) is deliberately excluded here — it is checked and ALLOWED separately by
|
|
68
|
+
// isLoopbackHost.
|
|
69
|
+
function isDisallowedPrivateIpv4(octets) {
|
|
70
|
+
const [a, b] = octets;
|
|
71
|
+
if (a === 0)
|
|
72
|
+
return true;
|
|
73
|
+
if (a === 10)
|
|
74
|
+
return true;
|
|
75
|
+
if (a === 100 && b >= 64 && b <= 127)
|
|
76
|
+
return true;
|
|
77
|
+
if (a === 172 && b >= 16 && b <= 31)
|
|
78
|
+
return true;
|
|
79
|
+
if (a === 169 && b === 254)
|
|
80
|
+
return true;
|
|
81
|
+
if (a === 192 && b === 168)
|
|
82
|
+
return true;
|
|
83
|
+
return false;
|
|
84
|
+
}
|
|
85
|
+
// THE-1125 — the IPv6 counterparts: "::" (unspecified), fc00::/7 (unique-local, RFC4193 —
|
|
86
|
+
// fd00::/8 in practice, the IPv6 analogue of RFC1918), fe80::/10 (link-local). "::1" (loopback) is
|
|
87
|
+
// deliberately excluded — allowed separately by isLoopbackHost. `h` must already be
|
|
88
|
+
// normalizeHostForBind'd (lowercase, unbracketed).
|
|
89
|
+
function isDisallowedPrivateIpv6(h) {
|
|
90
|
+
if (h === "::")
|
|
91
|
+
return true;
|
|
92
|
+
if (h.startsWith("fc") || h.startsWith("fd"))
|
|
93
|
+
return true;
|
|
94
|
+
if (/^fe[89ab]/.test(h))
|
|
95
|
+
return true;
|
|
96
|
+
return false;
|
|
97
|
+
}
|
|
98
|
+
/**
|
|
99
|
+
* True when `host` is a LITERAL IP address (v4, v6, or an IPv4-mapped IPv6 form) in a private,
|
|
100
|
+
* link-local, carrier-grade-NAT, unspecified, or cloud-metadata range. Loopback is NOT included
|
|
101
|
+
* here (see isLoopbackHost) — it is the one such range a config is allowed to name.
|
|
102
|
+
*
|
|
103
|
+
* Deliberately does NOT resolve DNS: a hostname that happens to RESOLVE to one of these ranges at
|
|
104
|
+
* request time is out of scope by design (this is an operator-configured value, documented as
|
|
105
|
+
* such — resolving it here would need a network call inside config validation, and the resolved
|
|
106
|
+
* address could differ at send time anyway). This function only ever looks at the literal text of
|
|
107
|
+
* the host, exactly as `new URL(...).hostname` reports it.
|
|
108
|
+
*/
|
|
109
|
+
export function isDisallowedLiteralHost(host) {
|
|
110
|
+
const h = normalizeHostForBind(host);
|
|
111
|
+
const direct = ipv4OctetsOf(h);
|
|
112
|
+
if (direct)
|
|
113
|
+
return direct[0] !== 127 && isDisallowedPrivateIpv4(direct);
|
|
114
|
+
if (h.startsWith("::ffff:")) {
|
|
115
|
+
const rest = h.slice("::ffff:".length);
|
|
116
|
+
const dotted = ipv4OctetsOf(rest) ? rest : ipv4MappedHexToDotted(rest);
|
|
117
|
+
const mapped = dotted !== null ? ipv4OctetsOf(dotted) : null;
|
|
118
|
+
if (!mapped)
|
|
119
|
+
return false; // unparseable — not this function's job to flag.
|
|
120
|
+
return mapped[0] !== 127 && isDisallowedPrivateIpv4(mapped);
|
|
121
|
+
}
|
|
122
|
+
if (h.includes(":"))
|
|
123
|
+
return isDisallowedPrivateIpv6(h); // a bare IPv6 literal.
|
|
124
|
+
return false; // a hostname, not a literal IP — see the "does not resolve DNS" note above.
|
|
125
|
+
}
|
|
57
126
|
// THE-1084 review round 1, finding 1: parses with the RUNTIME `URL` class, which canonicalizes
|
|
58
127
|
// non-canonical-but-valid forms exactly as `new URL()`/`fetch` will before the request actually
|
|
59
128
|
// goes out ("http:evil.example/path" -> scheme "http", host "evil.example" — verified against
|
package/dist/net-host.js.map
CHANGED
|
@@ -1 +1 @@
|
|
|
1
|
-
{"version":3,"file":"net-host.js","sourceRoot":"","sources":["../src/net-host.ts"],"names":[],"mappings":"AAAA;;;;;;GAMG;AACH,MAAM,UAAU,oBAAoB,CAAC,IAAY;IAC/C,OAAO,IAAI,CAAC,IAAI,EAAE,CAAC,WAAW,EAAE,CAAC,OAAO,CAAC,KAAK,EAAE,EAAE,CAAC,CAAC,OAAO,CAAC,KAAK,EAAE,EAAE,CAAC,CAAC;AACzE,CAAC;AAED,8EAA8E;AAC9E,4EAA4E;AAC5E,6EAA6E;AAC7E,wBAAwB;AACxB,SAAS,YAAY,CAAC,CAAS;IAC7B,MAAM,CAAC,GAAG,8CAA8C,CAAC,IAAI,CAAC,CAAC,CAAC,CAAC;IACjE,IAAI,CAAC,CAAC;QAAE,OAAO,KAAK,CAAC;IACrB,OAAO,CAAC,CAAC,KAAK,CAAC,CAAC,CAAC,CAAC,KAAK,CAAC,CAAC,KAAK,EAAE,EAAE,CAAC,MAAM,CAAC,KAAK,CAAC,IAAI,GAAG,CAAC,CAAC;AAC3D,CAAC;AAED,oGAAoG;AACpG,iGAAiG;AACjG,gGAAgG;AAChG,0FAA0F;AAC1F,gGAAgG;AAChG,oGAAoG;AACpG,SAAS,qBAAqB,CAAC,IAAY;IACzC,MAAM,CAAC,GAAG,mCAAmC,CAAC,IAAI,CAAC,IAAI,CAAC,CAAC;IACzD,MAAM,EAAE,GAAG,CAAC,EAAE,CAAC,CAAC,CAAC,CAAC;IAClB,MAAM,EAAE,GAAG,CAAC,EAAE,CAAC,CAAC,CAAC,CAAC;IAClB,IAAI,CAAC,EAAE,IAAI,CAAC,EAAE;QAAE,OAAO,IAAI,CAAC;IAC5B,MAAM,EAAE,GAAG,MAAM,CAAC,QAAQ,CAAC,EAAE,EAAE,EAAE,CAAC,CAAC;IACnC,MAAM,EAAE,GAAG,MAAM,CAAC,QAAQ,CAAC,EAAE,EAAE,EAAE,CAAC,CAAC;IACnC,OAAO,GAAG,CAAC,EAAE,IAAI,CAAC,CAAC,GAAG,IAAI,IAAI,EAAE,GAAG,IAAI,IAAI,CAAC,EAAE,IAAI,CAAC,CAAC,GAAG,IAAI,IAAI,EAAE,GAAG,IAAI,EAAE,CAAC;AAC7E,CAAC;AAED;;;;;;GAMG;AACH,MAAM,UAAU,cAAc,CAAC,IAAY;IACzC,MAAM,CAAC,GAAG,oBAAoB,CAAC,IAAI,CAAC,CAAC;IACrC,IAAI,CAAC,KAAK,WAAW,IAAI,CAAC,KAAK,KAAK;QAAE,OAAO,IAAI,CAAC;IAClD,IAAI,YAAY,CAAC,CAAC,CAAC;QAAE,OAAO,CAAC,CAAC,UAAU,CAAC,MAAM,CAAC,CAAC;IACjD,IAAI,CAAC,CAAC,UAAU,CAAC,SAAS,CAAC,EAAE,CAAC;QAC5B,MAAM,IAAI,GAAG,CAAC,CAAC,KAAK,CAAC,SAAS,CAAC,MAAM,CAAC,CAAC;QACvC,MAAM,MAAM,GAAG,YAAY,CAAC,IAAI,CAAC,CAAC,CAAC,CAAC,IAAI,CAAC,CAAC,CAAC,qBAAqB,CAAC,IAAI,CAAC,CAAC;QACvE,OAAO,MAAM,EAAE,UAAU,CAAC,MAAM,CAAC,IAAI,KAAK,CAAC;IAC7C,CAAC;IACD,OAAO,KAAK,CAAC;AACf,CAAC;AAYD,+FAA+F;AAC/F,gGAAgG;AAChG,8FAA8F;AAC9F,mGAAmG;AACnG,6FAA6F;AAC7F,2CAA2C;AAC3C,EAAE;AACF,kGAAkG;AAClG,gGAAgG;AAChG,6FAA6F;AAC7F,+FAA+F;AAC/F,iGAAiG;AACjG,sFAAsF;AACtF,iGAAiG;AACjG,yFAAyF;AACzF,SAAS,iBAAiB,CAAC,CAAS;IAClC,MAAM,OAAO,GAAI,UAAuC,CAAC,GAAG,CAAC;IAC7D,IAAI,OAAO,OAAO,KAAK,UAAU;QAAE,OAAO,IAAI,CAAC;IAC/C,IAAI,CAAC;QACH,MAAM,MAAM,GAAG,IAAI,OAAO,CAAC,CAAC,CAAC,CAAC;QAC9B,OAAO,EAAE,MAAM,EAAE,MAAM,CAAC,QAAQ,CAAC,OAAO,CAAC,IAAI,EAAE,EAAE,CAAC,CAAC,WAAW,EAAE,EAAE,IAAI,EAAE,MAAM,CAAC,QAAQ,EAAE,CAAC;IAC5F,CAAC;IAAC,MAAM,CAAC;QACP,OAAO,IAAI,CAAC;IACd,CAAC;AACH,CAAC;AAED;;;;;;;;;;;;;;;GAeG;AACH,MAAM,UAAU,oBAAoB,CAClC,CAAS;IAET,MAAM,MAAM,GAAG,iBAAiB,CAAC,CAAC,CAAC,CAAC;IACpC,IAAI,CAAC,MAAM,EAAE,IAAI;QAAE,OAAO,SAAS,CAAC;IACpC,IAAI,MAAM,CAAC,MAAM,KAAK,OAAO;QAAE,OAAO,OAAO,CAAC;IAC9C,IAAI,MAAM,CAAC,MAAM,KAAK,MAAM;QAAE,OAAO,SAAS,CAAC;IAC/C,OAAO,cAAc,CAAC,MAAM,CAAC,IAAI,CAAC,CAAC,CAAC,CAAC,eAAe,CAAC,CAAC,CAAC,aAAa,CAAC;AACvE,CAAC;AAED;;wFAEwF;AACxF,MAAM,UAAU,gBAAgB,CAAC,CAAS;IACxC,OAAO,iBAAiB,CAAC,CAAC,CAAC,EAAE,IAAI,CAAC;AACpC,CAAC"}
|
|
1
|
+
{"version":3,"file":"net-host.js","sourceRoot":"","sources":["../src/net-host.ts"],"names":[],"mappings":"AAAA;;;;;;GAMG;AACH,MAAM,UAAU,oBAAoB,CAAC,IAAY;IAC/C,OAAO,IAAI,CAAC,IAAI,EAAE,CAAC,WAAW,EAAE,CAAC,OAAO,CAAC,KAAK,EAAE,EAAE,CAAC,CAAC,OAAO,CAAC,KAAK,EAAE,EAAE,CAAC,CAAC;AACzE,CAAC;AAED,8EAA8E;AAC9E,4EAA4E;AAC5E,6EAA6E;AAC7E,wBAAwB;AACxB,SAAS,YAAY,CAAC,CAAS;IAC7B,MAAM,CAAC,GAAG,8CAA8C,CAAC,IAAI,CAAC,CAAC,CAAC,CAAC;IACjE,IAAI,CAAC,CAAC;QAAE,OAAO,KAAK,CAAC;IACrB,OAAO,CAAC,CAAC,KAAK,CAAC,CAAC,CAAC,CAAC,KAAK,CAAC,CAAC,KAAK,EAAE,EAAE,CAAC,MAAM,CAAC,KAAK,CAAC,IAAI,GAAG,CAAC,CAAC;AAC3D,CAAC;AAED,oGAAoG;AACpG,iGAAiG;AACjG,gGAAgG;AAChG,0FAA0F;AAC1F,gGAAgG;AAChG,oGAAoG;AACpG,SAAS,qBAAqB,CAAC,IAAY;IACzC,MAAM,CAAC,GAAG,mCAAmC,CAAC,IAAI,CAAC,IAAI,CAAC,CAAC;IACzD,MAAM,EAAE,GAAG,CAAC,EAAE,CAAC,CAAC,CAAC,CAAC;IAClB,MAAM,EAAE,GAAG,CAAC,EAAE,CAAC,CAAC,CAAC,CAAC;IAClB,IAAI,CAAC,EAAE,IAAI,CAAC,EAAE;QAAE,OAAO,IAAI,CAAC;IAC5B,MAAM,EAAE,GAAG,MAAM,CAAC,QAAQ,CAAC,EAAE,EAAE,EAAE,CAAC,CAAC;IACnC,MAAM,EAAE,GAAG,MAAM,CAAC,QAAQ,CAAC,EAAE,EAAE,EAAE,CAAC,CAAC;IACnC,OAAO,GAAG,CAAC,EAAE,IAAI,CAAC,CAAC,GAAG,IAAI,IAAI,EAAE,GAAG,IAAI,IAAI,CAAC,EAAE,IAAI,CAAC,CAAC,GAAG,IAAI,IAAI,EAAE,GAAG,IAAI,EAAE,CAAC;AAC7E,CAAC;AAED;;;;;;GAMG;AACH,MAAM,UAAU,cAAc,CAAC,IAAY;IACzC,MAAM,CAAC,GAAG,oBAAoB,CAAC,IAAI,CAAC,CAAC;IACrC,IAAI,CAAC,KAAK,WAAW,IAAI,CAAC,KAAK,KAAK;QAAE,OAAO,IAAI,CAAC;IAClD,IAAI,YAAY,CAAC,CAAC,CAAC;QAAE,OAAO,CAAC,CAAC,UAAU,CAAC,MAAM,CAAC,CAAC;IACjD,IAAI,CAAC,CAAC,UAAU,CAAC,SAAS,CAAC,EAAE,CAAC;QAC5B,MAAM,IAAI,GAAG,CAAC,CAAC,KAAK,CAAC,SAAS,CAAC,MAAM,CAAC,CAAC;QACvC,MAAM,MAAM,GAAG,YAAY,CAAC,IAAI,CAAC,CAAC,CAAC,CAAC,IAAI,CAAC,CAAC,CAAC,qBAAqB,CAAC,IAAI,CAAC,CAAC;QACvE,OAAO,MAAM,EAAE,UAAU,CAAC,MAAM,CAAC,IAAI,KAAK,CAAC;IAC7C,CAAC;IACD,OAAO,KAAK,CAAC;AACf,CAAC;AAED,SAAS,YAAY,CAAC,CAAS;IAC7B,IAAI,CAAC,YAAY,CAAC,CAAC,CAAC;QAAE,OAAO,IAAI,CAAC;IAClC,MAAM,KAAK,GAAG,CAAC,CAAC,KAAK,CAAC,GAAG,CAAC,CAAC,GAAG,CAAC,MAAM,CAAC,CAAC;IACvC,OAAO,KAAyC,CAAC;AACnD,CAAC;AAED,gGAAgG;AAChG,2FAA2F;AAC3F,gGAAgG;AAChG,gGAAgG;AAChG,2FAA2F;AAC3F,kBAAkB;AAClB,SAAS,uBAAuB,CAAC,MAAiD;IAChF,MAAM,CAAC,CAAC,EAAE,CAAC,CAAC,GAAG,MAAM,CAAC;IACtB,IAAI,CAAC,KAAK,CAAC;QAAE,OAAO,IAAI,CAAC;IACzB,IAAI,CAAC,KAAK,EAAE;QAAE,OAAO,IAAI,CAAC;IAC1B,IAAI,CAAC,KAAK,GAAG,IAAI,CAAC,IAAI,EAAE,IAAI,CAAC,IAAI,GAAG;QAAE,OAAO,IAAI,CAAC;IAClD,IAAI,CAAC,KAAK,GAAG,IAAI,CAAC,IAAI,EAAE,IAAI,CAAC,IAAI,EAAE;QAAE,OAAO,IAAI,CAAC;IACjD,IAAI,CAAC,KAAK,GAAG,IAAI,CAAC,KAAK,GAAG;QAAE,OAAO,IAAI,CAAC;IACxC,IAAI,CAAC,KAAK,GAAG,IAAI,CAAC,KAAK,GAAG;QAAE,OAAO,IAAI,CAAC;IACxC,OAAO,KAAK,CAAC;AACf,CAAC;AAED,0FAA0F;AAC1F,mGAAmG;AACnG,oFAAoF;AACpF,mDAAmD;AACnD,SAAS,uBAAuB,CAAC,CAAS;IACxC,IAAI,CAAC,KAAK,IAAI;QAAE,OAAO,IAAI,CAAC;IAC5B,IAAI,CAAC,CAAC,UAAU,CAAC,IAAI,CAAC,IAAI,CAAC,CAAC,UAAU,CAAC,IAAI,CAAC;QAAE,OAAO,IAAI,CAAC;IAC1D,IAAI,WAAW,CAAC,IAAI,CAAC,CAAC,CAAC;QAAE,OAAO,IAAI,CAAC;IACrC,OAAO,KAAK,CAAC;AACf,CAAC;AAED;;;;;;;;;;GAUG;AACH,MAAM,UAAU,uBAAuB,CAAC,IAAY;IAClD,MAAM,CAAC,GAAG,oBAAoB,CAAC,IAAI,CAAC,CAAC;IACrC,MAAM,MAAM,GAAG,YAAY,CAAC,CAAC,CAAC,CAAC;IAC/B,IAAI,MAAM;QAAE,OAAO,MAAM,CAAC,CAAC,CAAC,KAAK,GAAG,IAAI,uBAAuB,CAAC,MAAM,CAAC,CAAC;IACxE,IAAI,CAAC,CAAC,UAAU,CAAC,SAAS,CAAC,EAAE,CAAC;QAC5B,MAAM,IAAI,GAAG,CAAC,CAAC,KAAK,CAAC,SAAS,CAAC,MAAM,CAAC,CAAC;QACvC,MAAM,MAAM,GAAG,YAAY,CAAC,IAAI,CAAC,CAAC,CAAC,CAAC,IAAI,CAAC,CAAC,CAAC,qBAAqB,CAAC,IAAI,CAAC,CAAC;QACvE,MAAM,MAAM,GAAG,MAAM,KAAK,IAAI,CAAC,CAAC,CAAC,YAAY,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,IAAI,CAAC;QAC7D,IAAI,CAAC,MAAM;YAAE,OAAO,KAAK,CAAC,CAAC,iDAAiD;QAC5E,OAAO,MAAM,CAAC,CAAC,CAAC,KAAK,GAAG,IAAI,uBAAuB,CAAC,MAAM,CAAC,CAAC;IAC9D,CAAC;IACD,IAAI,CAAC,CAAC,QAAQ,CAAC,GAAG,CAAC;QAAE,OAAO,uBAAuB,CAAC,CAAC,CAAC,CAAC,CAAC,uBAAuB;IAC/E,OAAO,KAAK,CAAC,CAAC,4EAA4E;AAC5F,CAAC;AAYD,+FAA+F;AAC/F,gGAAgG;AAChG,8FAA8F;AAC9F,mGAAmG;AACnG,6FAA6F;AAC7F,2CAA2C;AAC3C,EAAE;AACF,kGAAkG;AAClG,gGAAgG;AAChG,6FAA6F;AAC7F,+FAA+F;AAC/F,iGAAiG;AACjG,sFAAsF;AACtF,iGAAiG;AACjG,yFAAyF;AACzF,SAAS,iBAAiB,CAAC,CAAS;IAClC,MAAM,OAAO,GAAI,UAAuC,CAAC,GAAG,CAAC;IAC7D,IAAI,OAAO,OAAO,KAAK,UAAU;QAAE,OAAO,IAAI,CAAC;IAC/C,IAAI,CAAC;QACH,MAAM,MAAM,GAAG,IAAI,OAAO,CAAC,CAAC,CAAC,CAAC;QAC9B,OAAO,EAAE,MAAM,EAAE,MAAM,CAAC,QAAQ,CAAC,OAAO,CAAC,IAAI,EAAE,EAAE,CAAC,CAAC,WAAW,EAAE,EAAE,IAAI,EAAE,MAAM,CAAC,QAAQ,EAAE,CAAC;IAC5F,CAAC;IAAC,MAAM,CAAC;QACP,OAAO,IAAI,CAAC;IACd,CAAC;AACH,CAAC;AAED;;;;;;;;;;;;;;;GAeG;AACH,MAAM,UAAU,oBAAoB,CAClC,CAAS;IAET,MAAM,MAAM,GAAG,iBAAiB,CAAC,CAAC,CAAC,CAAC;IACpC,IAAI,CAAC,MAAM,EAAE,IAAI;QAAE,OAAO,SAAS,CAAC;IACpC,IAAI,MAAM,CAAC,MAAM,KAAK,OAAO;QAAE,OAAO,OAAO,CAAC;IAC9C,IAAI,MAAM,CAAC,MAAM,KAAK,MAAM;QAAE,OAAO,SAAS,CAAC;IAC/C,OAAO,cAAc,CAAC,MAAM,CAAC,IAAI,CAAC,CAAC,CAAC,CAAC,eAAe,CAAC,CAAC,CAAC,aAAa,CAAC;AACvE,CAAC;AAED;;wFAEwF;AACxF,MAAM,UAAU,gBAAgB,CAAC,CAAS;IACxC,OAAO,iBAAiB,CAAC,CAAC,CAAC,EAAE,IAAI,CAAC;AACpC,CAAC"}
|
package/package.json
CHANGED
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
{
|
|
2
2
|
"name": "@the-40-thieves/obsidian-tc-shared",
|
|
3
|
-
"version": "1.31.
|
|
3
|
+
"version": "1.31.4",
|
|
4
4
|
"description": "Shared Zod schemas and types for obsidian-tc",
|
|
5
5
|
"license": "AGPL-3.0-only",
|
|
6
6
|
"type": "module",
|
|
@@ -17,11 +17,12 @@
|
|
|
17
17
|
"test": "vitest run --passWithNoTests"
|
|
18
18
|
},
|
|
19
19
|
"dependencies": {
|
|
20
|
-
"zod": "^4.
|
|
20
|
+
"zod": "^4.6.5"
|
|
21
21
|
},
|
|
22
22
|
"devDependencies": {
|
|
23
|
+
"@types/node": "^24.0.0",
|
|
23
24
|
"typescript": "^7.0.2",
|
|
24
|
-
"vitest": "^
|
|
25
|
+
"vitest": "^5.0.1"
|
|
25
26
|
},
|
|
26
27
|
"repository": {
|
|
27
28
|
"type": "git",
|